<?php
define('GCMS',true);
define('ROOT','../');
require_once (ROOT.'system/power.php');
if ($aut) {
if ($ya['level'] > 5) {
$diz -> head('Управление ботами');
$diz -> title('Управление ботами');
if (empty($_POST['name1']) || empty($_POST['room1']) || empty($_POST['int1']) || empty($_POST['name2']) || empty($_POST['room2']) || empty($_POST['int2']) || empty($_POST['name3']) || empty($_POST['room3']) || empty($_POST['int3'])) {
$for = $db -> query("SELECT `id`,`name` FROM `chat`");
while ($assoc = $for -> fetch_assoc()) {
$opt .= '<option value="'.$assoc['id'].'">'.$assoc['name'].'</option>';
}
$bot1 = $db -> query("SELECT * FROM `chat_bots` where `id`='1'")-> fetch_assoc();
$bot2 = $db -> query("SELECT * FROM `chat_bots` where `id`='2'")-> fetch_assoc();
$bot3 = $db -> query("SELECT * FROM `chat_bots` where `id`='3'")-> fetch_assoc();
$msg .= '<div class="spisok"><form action="?" method="post">
Бот "Умник"<br/>
Имя бота:<br/>
<input type="text" name="name1" value="'.$bot1['name'].'" maxlength="12"/><br/>
Интервал бота:<br/>
<input type="text" name="int1" value="'.$bot1['int'].'" maxlength="3"/><br/>
Комната бота(На одну комнату по боту!):<br/>
<select name="room1">'.$opt.'</select><br/>
<hr>Бот "Фура"<br/>
Имя бота:<br/>
<input type="text" name="name2" value="'.$bot2['name'].'" maxlength="12"/><br/>
Интервал бота:<br/>
<input type="text" name="int2" value="'.$bot2['int'].'" maxlength="3"/><br/>
Комната бота(На одну комнату по боту!):<br/>
<select name="room2">'.$opt.'</select><br/>
<hr>Бот "Шутник"<br/>
Имя бота:<br/>
<input type="text" name="name3" value="'.$bot3['name'].'" maxlength="12"/><br/>
Интервал бота:<br/>
<input type="text" name="int3" value="'.$bot3['int'].'" maxlength="3"/><br/>
Комната бота(На одну комнату по боту!):<br/>
<select name="room3">'.$opt.'</select><br/>
<input type="submit" value="Изменить"/>
</form></div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}else{
$name1 = shit($_POST['name1']);
$int1 = abs(intval(htmlentities($db -> real_escape_string($_POST['int1']))));
$room1 = abs(intval(htmlentities($db -> real_escape_string($_POST['room1']))));
$name2 = shit($_POST['name2']);
$int2 = abs(intval(htmlentities($db -> real_escape_string($_POST['int2']))));
$room2 = abs(intval(htmlentities($db -> real_escape_string($_POST['room2']))));
$name3 = shit($_POST['name3']);
$int3 = abs(intval(htmlentities($db -> real_escape_string($_POST['int3']))));
$room3 = abs(intval(htmlentities($db -> real_escape_string($_POST['room3']))));
if($room1!=$room2 and $room3!=$room2 and $room1!=$room3){
$db -> query("UPDATE `chat_bots` SET `name` = '".$name1."',`int` = '".$int1."',`room` = '".$room1."' WHERE `id`=1");
$db -> query("UPDATE `chat_bots` SET `name` = '".$name2."',`int` = '".$int2."',`room` = '".$room2."' WHERE `id`=2");
$db -> query("UPDATE `chat_bots` SET `name` = '".$name3."',`int` = '".$int3."',`room` = '".$room3."' WHERE `id`=3");
$msg .= '<div class="fon">Изменения приняты!</div>';
}else{$msg .= '<div class="fon">На одну комнату можно установить лишь одного бота!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="bots.php">Настройки ботов</a></div>';}
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}
} else header('location: index.php');
} else header('location: index.php');
?>